中危 ubuntu_22.10 net-snmp 跨界内存读

CVE编号

CVE-2022-24805

利用情况

暂无

补丁情况

官方补丁

披露时间

2022-07-01
漏洞描述
A flaw was found in net-snmp. A buffer overflow in the handling of the INDEX of NET-SNMP-VACM-MIB can cause an out-of-bounds memory access issue.
解决建议
建议您更新当前系统或软件至最新版,完成漏洞的修复。
参考链接
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
系统 alpine_3.13 net-snmp * Up to
(excluding)
5.9.3-r0
运行在以下环境
系统 alpine_3.14 net-snmp * Up to
(excluding)
5.9.3-r0
运行在以下环境
系统 alpine_3.15 net-snmp * Up to
(excluding)
5.9.3-r0
运行在以下环境
系统 alpine_3.16 net-snmp * Up to
(excluding)
5.9.3-r0
运行在以下环境
系统 alpine_3.17 net-snmp * Up to
(excluding)
5.9.3-r0
运行在以下环境
系统 alpine_3.18 net-snmp * Up to
(excluding)
5.9.3-r0
运行在以下环境
系统 alpine_3.19 net-snmp * Up to
(excluding)
5.9.3-r0
运行在以下环境
系统 amazon_2 net-snmp * Up to
(excluding)
5.7.2-49.amzn2.1.1
运行在以下环境
系统 debian_10 net-snmp * Up to
(excluding)
5.7.3+dfsg-5+deb10u3
运行在以下环境
系统 debian_11 net-snmp * Up to
(excluding)
5.9+dfsg-4+deb11u1
运行在以下环境
系统 debian_12 net-snmp * Up to
(excluding)
5.9.3+dfsg-1
运行在以下环境
系统 fedora_36 net-snmp * Up to
(excluding)
5.9.3-1.fc36
运行在以下环境
系统 kylinos_aarch64_V10SP2 net-snmp * Up to
(excluding)
5.9-3.p02.ky10
运行在以下环境
系统 kylinos_loongarch64_V10SP1 net-snmp * Up to
(excluding)
5.8-7.p02.a.ky10
运行在以下环境
系统 kylinos_x86_64_V10SP1 net-snmp * Up to
(excluding)
5.8-7.p02.ky10
运行在以下环境
系统 kylinos_x86_64_V10SP2 net-snmp * Up to
(excluding)
5.9-3.p02.ky10
运行在以下环境
系统 opensuse_5.3 libsnmp40 * Up to
(excluding)
5.9.3-150300.15.3.1
运行在以下环境
系统 opensuse_Leap_15.3 net-snmp * Up to
(excluding)
5.9.3-150300.15.3.1
运行在以下环境
系统 opensuse_Leap_15.4 net-snmp * Up to
(excluding)
5.9.3-150300.15.3.1
运行在以下环境
系统 opensuse_Leap_15.5 net-snmp * Up to
(excluding)
5.9.3-150300.15.3.1
运行在以下环境
系统 ubuntu_18.04 net-snmp * Up to
(excluding)
5.7.3+dfsg-1.8ubuntu3.7
运行在以下环境
系统 ubuntu_20.04 net-snmp * Up to
(excluding)
5.8+dfsg-2ubuntu2.4
运行在以下环境
系统 ubuntu_22.04 net-snmp * Up to
(excluding)
5.9.1+dfsg-1ubuntu2.2
运行在以下环境
系统 ubuntu_22.10 net-snmp * Up to
(excluding)
5.9.1+dfsg-4ubuntu2
阿里云评分
5.7
  • 攻击路径
    本地
  • 攻击复杂度
    复杂
  • 权限要求
    普通权限
  • 影响范围
    越权影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-125 跨界内存读
阿里云安全产品覆盖情况